#if !defined(AFX_PORTFOLIOPAGE_H__103D8A69_2892_11D4_9FC1_080009EE62AA__INCLUDED_)
#define AFX_PORTFOLIOPAGE_H__103D8A69_2892_11D4_9FC1_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PortfolioPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPortfolioPage dialog

class CPortfolioPage : public CDialog
{
// Construction
public:
	void RefreshData();
	CPortfolioPage(CWnd* pParent = NULL);   // standard constructor

	// Simulate printing support like a View class:
	void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo);
	BOOL OnPreparePrinting(CPrintInfo* pInfo);
	void OnBeginPrinting( CDC* pDC, CPrintInfo* pInfo );

	// Data for report
	CFont m_TitleFont;
	CFont m_BodyFont;
	CFont m_HeaderFont;
	int m_Left, m_Right, m_Top, m_Bottom;
	CTime m_ReportTime;
	int m_MaxLines;


// Dialog Data
	//{{AFX_DATA(CPortfolioPage)
	enum { IDD = IDD_PORTFOLIOPAGE };
	CListCtrl	m_List;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPortfolioPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPortfolioPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnDelete();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PORTFOLIOPAGE_H__103D8A69_2892_11D4_9FC1_080009EE62AA__INCLUDED_)
